# List of products flags

Returns the list of product flags within the e-shop.

Endpoint: GET /api/products/flags
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.flags` (array, required)

  - `data.flags.code` (string, required)
    Unique code of the flag

  - `data.flags.title` (string, required)
    flag name. This text is displayed to customers in the e-shop.

  - `data.flags.system` (boolean, required)
    Is it a system flag common for all e-shops?

  - `data.flags.color` (string,null, required)
    color of the product flag displayed in the e-shop.

  - `data.flags.showInDetail` (boolean, required)
    Should the flag be displayed in the product detail?

  - `data.flags.showInCategory` (boolean, required)
    Should the flag be displayed in the category product list?

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


